Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
tax-estimates
/
summary
Get tax summary
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "year": 2024,
    "projected_taxes_owed": 123,
    "taxes_due_at": "2024-04-15",
    "uncategorized_tax_payments": 123,
    "sections": [
      {
        "label": "Federal Income & Self-Employment Tax",
        "total": 123,
        "taxes_paid": 123,
        "taxes_owed": 123
      }
    ],
    "type": "Tax_Summary"
  }
}
{
"description": "<string>",
"meta": {}
}
{
"description": "<string>",
"meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string<uuid>
required

The UUID of the business.

Query Parameters

year
integer
required

Tax year to calculate summary for.

Example:

2024

reporting_basis
enum<string>

Reporting basis for calculations (ACCRUAL or CASH). Defaults to the business's default reporting basis.

Available options:
ACCRUAL,
CASH
full_year_projection
boolean
default:false

Whether to project the full year based on year-to-date data. Only applicable for current year calculations.

Response

Tax summary with federal and state breakdown.

data
object
required

Summary of projected taxes owed with breakdown by federal and state components.